Bond.h File Reference
`#include <iostream>`
`#include <Query/QueryObjects.h>`
`#include <RDGeneral/types.h>`
`#include <GraphMol/details.h>`
`#include <boost/foreach.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::Bond
| class for representing a bond More...

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Typedefs

typedef boost::shared_ptr< Atom > | RDKit::ATOM_SPTR

## Functions

std::ostream & | operator<< (std::ostream &target, const RDKit::Bond &b)
| allows Bond objects to be dumped to streams More...

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | target,
|  | const RDKit::Bond & | b
| ) |  |

allows Bond objects to be dumped to streams